netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dsi_block Struct Reference

`#include <dsi.h>`

## Data Fields
uint8_t | dsi_flags
uint8_t | dsi_command
uint16_t | dsi_requestID
union { |
uint32_t dsi_code |
uint32_t dsi_doff |
} | dsi_data
uint32_t | dsi_len
uint32_t | dsi_reserved

## Field Documentation

## ◆ dsi_code

uint32_t dsi_block::dsi_code

error code

error code or data offset

## ◆ dsi_command

uint8_t dsi_block::dsi_command

command

## ◆ [union]

union { ... } dsi_block::dsi_data

## ◆ dsi_doff

uint32_t dsi_block::dsi_doff

data offset

## ◆ dsi_flags

uint8_t dsi_block::dsi_flags

packet type: request or reply

## ◆ dsi_len

uint32_t dsi_block::dsi_len

total data length

## ◆ dsi_requestID

uint16_t dsi_block::dsi_requestID

request ID

## ◆ dsi_reserved

uint32_t dsi_block::dsi_reserved

reserved field

The documentation for this struct was generated from the following files:

- include/atalk/dsi.h
- test/testsuite/dsi.h